incubator-ooo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ma Yong Lin <mayo...@apache.org>
Subject Re: Do we want to drop platform support of RedHat 5 and SuSE 10
Date Mon, 18 Jun 2012 14:03:16 GMT
No need to drop any platform as long as there are contributors can provide enough support for
it.

Every individual can have his or her own prefer. 

Sent from iPad

在 2012-6-18,下午8:42,Ji Yan <yanji.yj@gmail.com> 写道:

> So if there is any possibility to drag build machine OS back to an older
> version, e.g. RHEL 5 or SLED 10? So that we could make AOO runs on RHEL 5
> or SLED 10
> 
> 2012/6/18 Herbert Duerr <hdu@apache.org>
> 
>> On 18.06.2012 10:37, Ji Yan wrote:
>> 
>>> According to build guide[1], gcc 4.2.3 is the current reference compiler
>>> which means Linux build should be compiled against RedHat Enterprise
>>> Linux(RHEL) 6 or SuSE Linux Enterprise Desktop(SLED) 11. So I'm wondering
>>> if we should drop OS support for RHEL5 and SLED 10?
>>> 
>>> The fact is that AOO 3.4 release build is unable to be launched in neither
>>> RHEL5 nor SLED 10. Should we update system requirement and installation
>>> guide?
>>> 
>> 
>> In my opinion we should try to run on  on RHEL5 or SLED10 unless there are
>> new technical requirements which make running it not feasible anymore.
>> AFAIK if we build the binaries on a suitable older platform (e.g. RHEL5 or
>> Centos5 instead of e.g. Ubuntu 12.04) then the binaries should work almost
>> anywhere as nowadays backward compatibility of Linux binaries is a widely
>> shared goal.
>> 
>> Herbert
>> 
> 
> 
> 
> -- 
> 
> 
> Thanks & Best Regards, Yan Ji

Mime
View raw message